WordPress Comment Extra Fields插件’swfupload.swf’跨站脚本漏洞

漏洞起因
跨站脚本错误
危险等级

影响系统
WordPress Comment Extra Fields 1.7

不受影响系统

危害
远程攻击者可以利用漏洞可获取敏感信息或者劫持用户会话。
CVSSv2:

攻击所需条件
攻击者必须构建恶意URI,诱使用户解析。

漏洞信息
WordPress是一种使用PHP语言开发的博客平台,用户可以在支持PHP和MySQL数据库的服务器上架设自己的网志。
WordPress Comment Extra Fields存在一个跨站请求伪造漏洞,允许远程攻击者利用漏洞构建恶意URI,诱使用户解析,当恶意数据被查看时可获取敏感信息或者劫持用户会话。

测试方法
http://[site]/wordpress/wp-content/plugins/comment-extra-field/scripts/swfupload.swf?buttonText=Click me
安全建议

厂商解决方案
目前没有详细解决方案提供:
http://wordpress.org/extend/plugins/comment-extra-field/

漏洞提供者
Ryuzaki Lawlet

评论关闭。